# Generated from bootstrap-4.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bootstrap

Name: rubygem-%{gem_name}
Version: 4.6.0
Release: 1%{?dist}.4
Summary: The most popular HTML, CSS, and JavaScript framework for developing responsive, mobile first projects on the web. http://getbootstrap.com
License: MIT
URL: https://github.com/twbs/bootstrap-rubygem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.3
# BuildRequires: (rubygem(minitest) >= 5.8.0 with rubygem(minitest) < 5.9)
# BuildRequires: (rubygem(minitest-reporters) >= 1.0.5 with rubygem(minitest-reporters) < 1.1)
# BuildRequires: rubygem(term-ansicolor)
# BuildRequires: rubygem(capybara) >= 2.6.0
# BuildRequires: rubygem(cuprite)
# BuildRequires: rubygem(actionpack) >= 4.1.5
# BuildRequires: rubygem(activesupport) >= 4.1.5
# BuildRequires: rubygem(json) >= 1.8.1
# BuildRequires: rubygem(sprockets-rails) >= 2.3.2
# BuildRequires: rubygem(jquery-rails) >= 3.1.0
# BuildRequires: rubygem(slim-rails)
# BuildRequires: rubygem(uglifier)
BuildArch: noarch

%description
The most popular HTML, CSS, and JavaScript framework for developing
responsive, mobile first projects on the web. http://getbootstrap.com.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/assets
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bootstrap.gemspec
%{gem_instdir}/test

%changelog
* Thu Apr 29 2021 Oleg Girko <ol@infoserver.lv> - 4.6.0-1
- Initial package
